## CORBA Interface IUtilities

Various utility features for controlling a SAS workspace.

### Definition

CORBA Module SAS

### IUtilities Description

This component provides a number of services that control various utility features with the SAS Workspace. These features include result packages, formats, informats, options and the specifics of the server host.

CORBA Definitions
attribute Parent | The SAS workspace.
attribute HostSystem | The server host that is executing this workspace.
attribute FormatService | A service for processing data using SAS formats and informats.
attribute ResultPackageService | The interface for managing result packages.
attribute OptionService | The interface for handling SAS system options.

Java Classes
IUtilitiesHelper | Used to manipulate the IUtilities type
IUtilitiesHolder | Used to process the IUtilities type as an out parameter

Java Interfaces
IUtilities | Various utility features for controlling a SAS workspace.

Java Interface IUtilities

Various utility features for controlling a SAS workspace.

Package com.sas.iom.SAS

IUtilities Description
This component provides a number of services that control various utility features with the SAS Workspace. These features include result packages, formats, informats, options and the specifics of the server host.

`public interface IUtilities
extends org.omg.CORBA.Object`

Method Summary

Java Class IUtilitiesHelper

public class IUtilitiesHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IUtilities type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IUtilitiesHelper

Java Class IUtilitiesHolder

public class IUtilitiesHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IUtilities type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IUtilitiesHolder

CORBA Attribute Parent (readonly)

The SAS workspace.

Description
The SAS Workspace containing these utilities.

Usage

Java Method Parent

    public IWorkspace Parent ();

CORBA Attribute HostSystem (readonly)

The server host that is executing this workspace.

Description
This property provides the HostSystem component from which you can get information about the host on which this Workspace is running.

Usage

Java Method HostSystem

    public IHostSystem HostSystem ();

CORBA Attribute FormatService (readonly)

A service for processing data using SAS formats and informats.

Description
This property provides the FormatService component, which enables you to enumerate the full range of SAS formats and informats available on the server and then use them to convert data.

Usage

Java Method FormatService

    public IFormatService FormatService ();

CORBA Attribute ResultPackageService (readonly)

The interface for managing result packages.

Description
This property provides the ResultPackageService component, which enables you to access, create and publish result packages.

Usage

Java Method ResultPackageService

    public IResultPackageService ResultPackageService ();

CORBA Attribute OptionService (readonly)

The interface for handling SAS system options.

Description
This property provides the OptionService component, which enables you to get and set SAS system options.

Usage

Java Method OptionService

    public IOptionService OptionService ();